com.corticon.rulesemf.viewtestmodel.ruletest.tabfolder

## Interface TestTab

- All Superinterfaces:
    org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

      public interface TestTab
      extends org.eclipse.emf.ecore.EObject

  A representation of the model object 'Test Tab'.

  The following features are supported:

  - `Name`
  - `Valid`
  See Also:
    `TabfolderPackage.getTestTab()`

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `copyright`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getName()` Returns the value of the 'Name' attribute
    `boolean` | `isValid()` Returns the value of the 'Valid' attribute.
    `void` | `setName(java.lang.String value)` Sets the value of the '`Name`' attribute
    `void` | `setValid(boolean value)` Sets the value of the '`Valid`' attribute

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

- - ### Field Detail

    - #### copyright

          static final java.lang.String copyright

      See Also:
        Constant Field Values

  - ### Method Detail

    - #### getName

          java.lang.String getName()

      Returns the value of the 'Name' attribute.

      If the meaning of the 'Name' attribute isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Name' attribute.
      See Also:
        `setName(String)`, `TabfolderPackage.getTestTab_Name()`

    - #### setName

          void setName(java.lang.String value)

      Sets the value of the '`Name`' attribute.
      Parameters:
        `value` - the new value of the 'Name' attribute.
      See Also:
        `getName()`

    - #### isValid

          boolean isValid()

      Returns the value of the 'Valid' attribute. The default value is `"true"`.

      If the meaning of the 'Valid' attribute isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Valid' attribute.
      See Also:
        `setValid(boolean)`, `TabfolderPackage.getTestTab_Valid()`

    - #### setValid

          void setValid(boolean value)

      Sets the value of the '`Valid`' attribute.
      Parameters:
        `value` - the new value of the 'Valid' attribute.
      See Also:
        `isValid()`

Copyright © 2005-2013 Progress Software Corporation and/or its subsidiaries and affiliates. All rights reserved.